Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2698083007: Port device_generic_sensor to be hosted in Device Service. (Closed)

Created:
2 years, 4 months ago by ke.he
Modified:
2 years, 2 months ago
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, qsr+mojo_chromium.org, shalamov, viettrungluu+watch_chromium.org, riju_, nasko+codewatch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, blink-reviews, darin-cc_chromium.org, timvolodine, wanming.lin_intel.com, mlamouri+watch-sensors_chromium.org, haraken, darin (slow to review), Mikhail
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Port device_generic_sensor to be hosted in Device Service. Generic_sensor is currently hosted in RenderFrameHostImpl, this CL move it to be hosted in Device Service. The exsiting dependencies from //content/ to //device/generic_sensors are: 1) Generic_sensor_browsertest. I will replace browsertest by a device service test in next CL. 2) JNI registry and APK packaging. It is easy to remove those deps when moving //device/generic_sensor files into //service/device. CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation BUG=689383 Review-Url: https://codereview.chromium.org/2698083007 Cr-Commit-Position: refs/heads/master@{#463934} Committed: https://chromium.googlesource.com/chromium/src/+/a91facddec70d3f7bd95075eb9f15fa892572d18

Patch Set 1 #

Patch Set 2 : Port device_generic_sensor to be hosted in Device Service. #

Patch Set 3 : code rebase #

Patch Set 4 : Port device_generic_sensor to be hosted in Device Service. #

Patch Set 5 : Port device_generic_sensor to be hosted in Device Service. #

Patch Set 6 : code rebase #

Total comments: 3

Patch Set 7 : move kGenericSensor from //content into //service/device/public/cpp #

Patch Set 8 : code rebase #

Patch Set 9 : code rebase #

Patch Set 10 : fix gn check #

Patch Set 11 : Port device_generic_sensor to be hosted in Device Service. #

Total comments: 6

Patch Set 12 : Port device_generic_sensor to be hosted in Device Service. #

Total comments: 2

Patch Set 13 : code rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -24 lines) Patch
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/frame_host/render_frame_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +0 lines, -8 lines 0 comments Download
M content/child/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M content/child/DEPS View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M content/child/runtime_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M content/public/app/mojo/content_browser_manifest.json View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +0 lines, -1 line 0 comments Download
M content/public/app/mojo/content_renderer_manifest.json View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_features.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +0 lines, -1 line 0 comments Download
M content/public/common/content_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +0 lines, -5 lines 0 comments Download
M services/device/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -0 lines 0 comments Download
M services/device/device_service.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +6 lines, -0 lines 0 comments Download
M services/device/device_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 4 chunks +15 lines, -0 lines 0 comments Download
M services/device/manifest.json View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
A services/device/public/cpp/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +17 lines, -0 lines 0 comments Download
A services/device/public/cpp/device_features.h View 1 2 3 4 5 6 1 chunk +21 lines, -0 lines 0 comments Download
A services/device/public/cpp/device_features.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +14 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/sensor/resources/sensor-helpers.js View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/sensor/BUILD.gn View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/sensor/DEPS View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/sensor/SensorProviderProxy.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +6 lines, -5 lines 0 comments Download

Messages

Total messages: 95 (74 generated)
ke.he
Hi, Colin, PTAL, Thanks:)
2 years, 2 months ago (2017-03-27 14:39:16 UTC) #41
blundell
Awesome! https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc File services/device/device_service.cc (right): https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc#newcode98 services/device/device_service.cc:98: registry->AddInterface<mojom::SensorProvider>(this); We should preserve the check about the ...
2 years, 2 months ago (2017-03-27 14:56:53 UTC) #42
ke.he
https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc File services/device/device_service.cc (right): https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc#newcode98 services/device/device_service.cc:98: registry->AddInterface<mojom::SensorProvider>(this); On 2017/03/27 14:56:52, blundell wrote: > We should ...
2 years, 2 months ago (2017-03-28 05:41:11 UTC) #43
blundell
https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc File services/device/device_service.cc (right): https://codereview.chromium.org/2698083007/diff/120001/services/device/device_service.cc#newcode98 services/device/device_service.cc:98: registry->AddInterface<mojom::SensorProvider>(this); On 2017/03/28 05:41:11, ke.he wrote: > On 2017/03/27 ...
2 years, 2 months ago (2017-03-28 07:03:52 UTC) #44
ke.he
Hi, Colin, PTAL, Thanks!
2 years, 2 months ago (2017-03-29 09:08:49 UTC) #65
blundell
lgtm with nits, thanks! https://codereview.chromium.org/2698083007/diff/220001/services/device/public/cpp/BUILD.gn File services/device/public/cpp/BUILD.gn (right): https://codereview.chromium.org/2698083007/diff/220001/services/device/public/cpp/BUILD.gn#newcode7 services/device/public/cpp/BUILD.gn:7: # The definition of features ...
2 years, 2 months ago (2017-03-29 09:41:59 UTC) #66
ke.he
https://codereview.chromium.org/2698083007/diff/220001/services/device/public/cpp/BUILD.gn File services/device/public/cpp/BUILD.gn (right): https://codereview.chromium.org/2698083007/diff/220001/services/device/public/cpp/BUILD.gn#newcode7 services/device/public/cpp/BUILD.gn:7: # The definition of features in device_features.h are moved ...
2 years, 2 months ago (2017-03-29 10:05:12 UTC) #67
shalamov
https://codereview.chromium.org/2698083007/diff/240001/third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp File third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp (right): https://codereview.chromium.org/2698083007/diff/240001/third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp#newcode23 third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp:23: Platform::current()->connector()->BindInterface( I'm concerned about this change, as we should ...
2 years, 2 months ago (2017-03-29 10:24:09 UTC) #71
blundell
https://codereview.chromium.org/2698083007/diff/240001/third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp File third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp (right): https://codereview.chromium.org/2698083007/diff/240001/third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp#newcode23 third_party/WebKit/Source/modules/sensor/SensorProviderProxy.cpp:23: Platform::current()->connector()->BindInterface( On 2017/03/29 10:24:08, shalamov wrote: > I'm concerned ...
2 years, 2 months ago (2017-03-29 10:28:07 UTC) #72
shalamov
+reillyg@ lgtm
2 years, 2 months ago (2017-03-29 11:06:56 UTC) #74
Reilly Grant (use Gerrit)
lgtm
2 years, 2 months ago (2017-03-29 17:33:29 UTC) #77
ke.he
Hi, Jam@, Could you PTAL on //content and //chrome? Thanks. Hi, Tom, Could you PTAL ...
2 years, 2 months ago (2017-03-30 02:29:21 UTC) #79
ke.he
On 2017/03/30 02:29:21, ke.he wrote: > Hi, Jam@, Could you PTAL on //content and //chrome? ...
2 years, 2 months ago (2017-03-30 05:54:12 UTC) #80
Tom Sepez
json LGTM
2 years, 2 months ago (2017-03-30 16:44:52 UTC) #81
ke.he
Hi, Jam@, PTAL, thanks!
2 years, 2 months ago (2017-04-11 12:24:06 UTC) #82
jam
On 2017/03/30 05:54:12, ke.he wrote: > On 2017/03/30 02:29:21, ke.he wrote: > > Hi, Jam@, ...
2 years, 2 months ago (2017-04-11 23:22:45 UTC) #83
ke.he
On 2017/04/11 23:22:45, jam wrote: > On 2017/03/30 05:54:12, ke.he wrote: > > On 2017/03/30 ...
2 years, 2 months ago (2017-04-12 02:13:10 UTC) #84
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698083007/240001
2 years, 2 months ago (2017-04-12 02:14:16 UTC) #87
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/189021) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
2 years, 2 months ago (2017-04-12 02:17:24 UTC) #89
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698083007/260001
2 years, 2 months ago (2017-04-12 03:26:37 UTC) #92
commit-bot: I haz the power
2 years, 2 months ago (2017-04-12 05:12:46 UTC) #95
Message was sent while issue was closed.
Committed patchset #13 (id:260001) as
https://chromium.googlesource.com/chromium/src/+/a91facddec70d3f7bd95075eb9f1...

Powered by Google App Engine
This is Rietveld 408576698